# SSB DID Resolver

[DID Resolver][] implementation for [did:ssb][].

## Test vector generator

`gen-test.js` generates implementation files for [DID Test Suite][].
To use it, run it on the command-line, passing the path to the `implementations` directory of
`did-test-suite`. That will resolve some SSB DIDs and write some files to the directory.
```
$ node gen-test ../did-test-suite/packages/did-core-test-server/suites/implementations
```

[DID Resolver]: https://www.w3.org/TR/did-core/#dfn-did-resolvers
[did:ssb]: %dvDyHqLfb0SYOe8lxlUA0ZQquydaSiG4eA/HXrVbVYw=.sha256
[DID Test Suite]: https://github.com/w3c/did-test-suite
